/*
export function someAction (context) {
}
*/

import { firestoreAction } from "vuexfire";
import firebase from "firebase/app";

export const loadUserProfile = firestoreAction(
  ({ bindFirestoreRef, dispatch, commit }, user_id) => {
    const db = firebase.firestore();
    const ref = db.collection("profile").doc(user_id);
    return ref.get().then(doc => {
      console.log(doc);
      if (!doc.exists) {
        return dispatch("profileNotFound");
      } else {
        commit("setError", null);
        return bindFirestoreRef("userProfile", ref);
      }
    });
  }
);

export const profileNotFound = ({ commit }) => {
  commit("setError", "Profile Not found");
};

export const loadUserProjects = firestoreAction(
  ({ bindFirestoreRef, dispatch }, user_id) => {
    const db = firebase.firestore();
    const refs = db
      .collection("projects")
      .where("userId", "==", user_id)
      .orderBy("created", "desc");
    return bindFirestoreRef("userProjects", refs);
  }
);
